Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.jmx
Class JMXWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.jmx.JMXWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

    public final class JMXWriter

extends AbstractMonitoringWriter

Since:
  1.4
Author:
  Jan Waller

Field Summary
`static String` | `CONFIG_DOMAIN`
`static String` | `CONFIG_LOGNAME`

Constructor Summary
`JMXWriter(Configuration configuration)` Creates a new instance of this class using the given parameters.

Method Summary
`boolean` | `newMonitoringRecord(IMonitoringRecord record)` Called for each new record.
`void` | `terminate()` Called by the Monitoring Controller to announce a shutdown of monitoring.

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`newMonitoringRecordNonBlocking, setController, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_DOMAIN

    public static final String CONFIG_DOMAIN

### CONFIG_LOGNAME

    public static final String CONFIG_LOGNAME

Constructor Detail

### JMXWriter

    public JMXWriter(Configuration configuration)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this writer.

Method Detail

### newMonitoringRecord

    public boolean newMonitoringRecord(IMonitoringRecord record)

  Called for each new record. Notice, that this method should not throw an exception, but indicate an error by the return value false.

  Parameters:
    `record` - the record.
  Returns:
    true on success; false in case of an error.

### terminate

    public void terminate()

  Called by the Monitoring Controller to announce a shutdown of monitoring. Writers should return as soon as it is safe to terminate Kieker.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net